cordova.define("cordova-plugin-bestsign.BestSignPlugin", function(require, exports, module) {
var exec = require('cordova/exec');

function createPromiseResult(method, args) {
    return new Promise(function(resolve, reject) {
        exec(resolve, reject, 'BestSignPlugin', method, args);
    });
}

exports.openInitView = function(success, error) {
    exec(success, error, 'BestSignPlugin', 'openInitView');
};
exports.openSettingsView = function(success, error) {
    exec(success, error, 'BestSignPlugin', 'openSettingsView');
};
exports.removeLocalSealOneData = function(success, error) {
    exec(success, error, 'BestSignPlugin', 'removeLocalSealOneData');
};
exports.enableEnrollmentMode = function(success, error) {
    exec(success, error, 'BestSignPlugin', 'enableEnrollmentMode');
};
exports.disableEnrollmentMode = function(success, error) {
    exec(success, error, 'BestSignPlugin', 'disableEnrollmentMode');
};
exports.getSealOneId = function(success, error) {
    exec(success, error, 'BestSignPlugin', 'getSealOneId');
};
exports.isEnrolled = function(success, error) {
    exec(success, error, 'BestSignPlugin', 'isEnrolled');
};
exports.getEmdHeaderData = function(success, error) {
    exec(success, error, 'BestSignPlugin', 'getEmdHeaderData');
};
exports.isLibraryEnabled = function() {
    return createPromiseResult('isLibraryEnabled');
};
exports.enableLibrary = function() {
    return createPromiseResult('enableLibrary');
};
exports.disableLibrary = function() {
    return createPromiseResult('disableLibrary');
};
exports.setOrientation = function(success, error, args) {
    exec(success, error, 'BestSignPlugin', 'setOrientation', args);
};
exports.initializeBestSign = function() {
    return createPromiseResult('initializeBestSign');
};
exports.setDeviceId = function(deviceId) {
    return createPromiseResult('setDeviceId', [ deviceId ]);
};
exports.getDeviceId = function() {
    return createPromiseResult('getDeviceId');
};

});
